// ####################################
// # Shaders written by Michael Cuneo #
// #       edited for furguson2       #
// #         Sneaks Like Saki         #
// ####################################

textures/x_sky/sky_blue_dusk
{
	qer_editorimage textures/x_sky/sky_blue_dusk.jpg
	
	q3map_lightsubdivide 768
	q3map_surfacelight 104
	q3map_backsplash 0 0
	
	q3map_sun 1 .85 0.5 65 -32 56
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms env/x_sky/sky_blue_dusk 512 -
	
	nopicmip
	nomipmaps
	
	{
		map textures/x_sky/sky_blue_dusk.jpg
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{
		clampmap textures/x_sky/sky_blue_dusk_mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956	// note for RTCW, this line should be commented out if the sky is knackered
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identityLighting
	}
}

textures/x_sky/sky_blue_dusk_vx
{
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms env/x_sky/sky_blue_dusk 512 -
	
	nopicmip
	nomipmaps
	
	{
		clampmap textures/x_sky/sky_blue_dusk_mask.tga
		tcMod scale 0.956 0.956	// note for RTCW, this line should be commented out if the sky is knackered
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identityLighting
	}
}

textures/x_sky/sky_red_dark
{
	qer_editorimage textures/x_sky/sky_red_dark.jpg
	
	q3map_lightsubdivide 768
	q3map_surfacelight 104
	q3map_backsplash 0 0
	
	q3map_sun 1 .85 0.5 65 -32 56
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms env/x_sky/sky_red_dark 512 -
	
	nopicmip
	nomipmaps
	
	{
		map textures/x_sky/sky_red_dark.jpg
		tcMod scale 3 3
		tcMod scroll 0.05 -0.0125
		rgbGen identityLighting
	}
	{
		clampmap textures/x_sky/sky_red_dark_mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956	// note for RTCW, this line should be commented out if the sky is knackered
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identityLighting
	}
}

textures/x_sky/sky_red_dark_vx
{
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms env/x_sky/sky_red_dark 512 -
	
	nopicmip
	nomipmaps
	
	{
		clampmap textures/x_sky/sky_blue_red_dark.tga
		tcMod scale 0.956 0.956	// note for RTCW, this line should be commented out if the sky is knackered
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identityLighting
	}
}

// ut4_ferguson2 n00b sky shader below copied from above

textures/n00b_sky_ferguson2/sky_ferguson2
{
	qer_editorimage textures/n00b_sky_ferguson2/sky_ferguson2.jpg
	
	q3map_lightsubdivide 768
	q3map_surfacelight 104
	q3map_backsplash 0 0
	
	q3map_sun 1 .85 0.5 65 -32 56
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms env/n00b_sky_ferguson2/sky_ferguson2 512 -
	
	nopicmip
	nomipmaps
	
	{
		map textures/n00b_sky_ferguson2/sky_ferguson2.jpg
		tcMod scale 3 3
		tcMod scroll 0.05 -0.0125
		rgbGen identityLighting
	}
	{
		clampmap textures/n00b_sky_ferguson2/sky_ferguson2_dark_mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956	// note for RTCW, this line should be commented out if the sky is knackered
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identityLighting
	}
}